GDBserver

Public Member Functions | Private Attributes | List of all members
maybe_disable_address_space_randomization Class Reference

`#include "linux-personality.h"`

## Public Member Functions
| maybe_disable_address_space_randomization (int disable_randomization)
| ~maybe_disable_address_space_randomization ()
| DISABLE_COPY_AND_ASSIGN (maybe_disable_address_space_randomization)

## Private Attributes
bool | m_personality_set
int | m_personality_orig

## Detailed Description

Definition at line 23 of file linux-personality.h.

## Constructor & Destructor Documentation

## ◆ maybe_disable_address_space_randomization()

maybe_disable_address_space_randomization::maybe_disable_address_space_randomization | ( | int | disable_randomization | ) |

Definition at line 33 of file linux-personality.c.

References _, disable_randomization, errno, m_personality_orig, m_personality_set, safe_strerror(), and warning().

## ◆ ~maybe_disable_address_space_randomization()

maybe_disable_address_space_randomization::~maybe_disable_address_space_randomization | ( |  | ) |

Definition at line 56 of file linux-personality.c.

References _, errno, m_personality_orig, m_personality_set, safe_strerror(), and warning().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

maybe_disable_address_space_randomization::DISABLE_COPY_AND_ASSIGN | ( | maybe_disable_address_space_randomization |  | ) |

## Member Data Documentation

## ◆ m_personality_orig

int maybe_disable_address_space_randomization::m_personality_orig
| private

Definition at line 43 of file linux-personality.h.

Referenced by maybe_disable_address_space_randomization(), and ~maybe_disable_address_space_randomization().

## ◆ m_personality_set

bool maybe_disable_address_space_randomization::m_personality_set
| private

Definition at line 40 of file linux-personality.h.

Referenced by maybe_disable_address_space_randomization(), and ~maybe_disable_address_space_randomization().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/nat/linux-personality.h
- /tmp/gdb-8.1/gdb/nat/linux-personality.c